
pfSense - Bug #1786

NanoBSD auto upgrade fails

08/17/2011 10:09 AM - Bill Weidman

Status: Rejected Start date: 08/17/2011

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Affected Version:  

Release Notes:  Affected

Architecture:

 

Description

I installed

2.0-RC3 (i386)  built on Tue Aug 16 20:24:26 EDT 2011

on a Netgate ALIX.2D3 / 2D13.

by dd  the image to a 4GB flash card.

The system boots fine, and I configure it.

Then, I go to System > Firmware > Updater Settings and check the "Unsigned Images box"

Then I perform the auto update.

The upgrade fails with the following log:

NanoBSD Firmware upgrade in progress...

Installing /root/latest.tgz.

SLICE         2

OLDSLICE      1

TOFLASH       ad0s2

COMPLETE_PATH ad0s2a

GLABEL_SLICE  pfsense1

Wed Aug 17 09:03:38 EDT 2011

total 7

dr-xr-xr-x   7 root  wheel         512B Aug 17 08:40 .

drwxr-xr-x  24 root  wheel         512B Aug 17 08:40 ..

crw-r-----   1 root  operator    0,  56 Aug 17 08:40 ad0

crw-r-----   1 root  operator    0,  57 Aug 17 08:40 ad0s1

crw-r-----   1 root  operator    0,  60 Aug 17 08:40 ad0s1a

crw-r-----   1 root  operator    0,  58 Aug 17 08:40 ad0s2

crw-r-----   1 root  operator    0,  61 Aug 17 08:40 ad0s2a

crw-r-----   1 root  operator    0,  59 Aug 17 08:40 ad0s3

crw-------   1 root  operator    0,  28 Aug 17 08:40 ata

crw-------   1 root  wheel       0,  11 Aug 17 08:46 bpf

lrwxr-xr-x   1 root  wheel           3B Aug 17 08:40 bpf0 > bpf

crw------   1 root  tty         0,   5 Aug 17 09:03 console

crw-rw-rw-   1 root  wheel       0,  44 Aug 17 08:40 crypto

crw-rw-rw-   1 root  wheel       0,  10 Aug 17 08:40 ctty

crw-rw----   1 uucp  dialer      0,  35 Aug 17 08:40 cuau0

crw-rw----   1 uucp  dialer      0,  36 Aug 17 08:40 cuau0.init

crw-rw----   1 uucp  dialer      0,  37 Aug 17 08:40 cuau0.lock

crw-rw----   1 uucp  dialer      0,  41 Aug 17 08:40 cuau1

crw-rw----   1 uucp  dialer      0,  42 Aug 17 08:40 cuau1.init

crw-rw----   1 uucp  dialer      0,  43 Aug 17 08:40 cuau1.lock

crw-------   1 root  wheel       0,   4 Aug 17 08:40 devctl

cr--------   1 root  wheel       0,  55 Aug 17 08:40 devstat

dr-xr-xr-x   2 root  wheel         512B Aug 17 08:40 fd

crw-------   1 root  wheel       0,  13 Aug 17 08:40 fido
crw-r-----   1 root  operator    0,   3 Aug 17 08:40 geom.ctl

crw-------   1 root  wheel       0,  23 Aug 17 08:40 io

crw-------   1 root  wheel       0,   6 Aug 17 08:40 klog

crw-r-----   1 root  kmem        0,  15 Aug 17 08:40 kmem

dr-xr-xr-x   2 root  wheel         512B Aug 17 08:40 led

crw-r-----   1 root  operator    0,  70 Aug 17 08:40 md0

crw-r-----   1 root  operator    0,  71 Aug 17 08:40 md1

crw-------   1 root  wheel       0,  48 Aug 17 08:40 mdctl

crw-r-----   1 root  kmem        0,  14 Aug 17 08:40 mem

crw-------   1 root  kmem        0,  16 Aug 17 08:40 nfslock

crw-rw-rw-   1 root  wheel       0,  25 Aug 17 09:03 null

crw-r--r--   1 root  wheel       0,  27 Aug 17 08:40 pci

crw-rw----   1 root  proxy       0,  45 Aug 17 08:40 pf

crw-rw-rw-   1 root  wheel       0,   9 Aug 17 08:40 ptmx

crw-rw-rw-   1 root  wheel       0,   7 Aug 17 08:40 random

crw-------   1 root  wheel       0,  24 Aug 17 08:40 speaker

lrwxr-xr-x   1 root  wheel           4B Aug 17 08:40 stderr > fd/2

lrwxr-xr-x   1 root  wheel           4B Aug 17 08:40 stdin -> fd/0

lrwxr-xr-x   1 root  wheel           4B Aug 17 08:40 stdout -> fd/1

crw------   1 root  wheel       0,  32 Aug 17 08:40 ttyu0

crw-------   1 root  wheel       0,  33 Aug 17 08:40 ttyu0.init

crw-------   1 root  wheel       0,  34 Aug 17 08:40 ttyu0.lock

crw-------   1 root  wheel       0,  38 Aug 17 08:40 ttyu1

crw-------   1 root  wheel       0,  39 Aug 17 08:40 ttyu1.init

crw-------   1 root  wheel       0,  40 Aug 17 08:40 ttyu1.lock

dr-xr-xr-x   2 root  wheel         512B Aug 17 08:40 ufs

dr-xr-xr-x   2 root  wheel         512B Aug 17 08:40 ufsid

lrwxr-xr-x   1 root  wheel           9B Aug 17 08:40 ugen0.1 > usb/0.1.0

lrwxr-xr-x   1 root  wheel           9B Aug 17 08:40 ugen1.1 -> usb/1.1.0

lrwxr-xr-x   1 root  wheel           6B Aug 17 08:40 urandom -> random

dr-xr-xr-x   2 root  wheel         512B Aug 17 08:40 usb

crw-r--r-   1 root  operator    0,  46 Aug 17 08:40 usbctl

crw-------   1 root  operator    0,  47 Aug 17 08:40 xpt0

crw-rw-rw-   1 root  wheel       0,  26 Aug 17 08:40 zero

rw-r--r-  1 root  wheel    67M Aug 17 09:02 /root/latest.tgz

MD5 (/root/latest.tgz) = 2e68f8e9f2d660041e4795e45e641b46

/dev/ufs/pfsense0 on / (ufs, local, noatime, synchronous)

devfs on /dev (devfs, local)

/dev/md0 on /tmp (ufs, local)

/dev/md1 on /var (ufs, local)

devfs on /var/dhcpd/dev (devfs, local)

last pid: 24592;  load averages:  0.69,  0.25,  0.16  up 0+00:23:50    09:03:42

37 processes:  1 running, 36 sleeping

Mem: 30M Active, 86M Inact, 26M Wired, 184K Cache, 34M Buf, 92M Free

Swap: 

PID USERNAME  THR PRI NICE   SIZE    RES STATE    TIME   WCPU COMMAND

36856 root        1  76    0 34140K 20424K accept   0:10  0.00% php

37059 root        1  76    0 33116K 18900K accept   0:08  0.00% php

45357 root        1  64   20  5564K  4000K kqread   0:01  0.00% lighttpd

49636 root        1  76   20  3656K  1420K wait     0:01  0.00% sh

25959 root        1  64   20  3316K  1336K select   0:00  0.00% apinger

34719 root        1  76    0 32092K 10000K wait     0:00  0.00% php

33866 root        1  76    0 32092K 10000K wait     0:00  0.00% php

18949 root        1  44    0  4944K  2388K select   0:00  0.00% syslogd

31781 dhcpd       1  64   20  8436K  6036K select   0:00  0.00% dhcpd

19705 root        1  44    0  5912K  2148K bpf      0:00  0.00% tcpdump

16407 root        1  76    0  3656K  1524K wait     0:00  0.00% sh

46386 root        1  76    0  3684K  1568K wait     0:00  0.00% login

33144 _ntp        1  64   20  3316K  1328K select   0:00  0.00% ntpd

46395 root        2  45    0  3532K  1192K nanslp   0:00  0.00% sshlockout_pf

  270 root        1  64   20  3408K  1140K kqread   0:00  0.00% check_reload_status

06/09/2025 2/6



19975 root        1  44    0  3316K   892K piperd   0:00  0.00% logger

26893 nobody      1  64   20  5556K  2608K select   0:00  0.00% dnsmasq

22691 root        1  44    0  3436K  1384K select   0:00  0.00% inetd

 NanoBSD upgrade starting

dd if=/dev/zero of=/dev/ad0s2 bs=1m count=1

1+0 records in

1+0 records out

1048576 bytes transferred in 0.436667 secs (2401316 bytes/sec)

/usr/bin/gzip -dc /root/latest.tgz | /bin/dd of=/dev/ad0s2 obs=64k

dd: /dev/ad0s2: short write on character device

dd: /dev/ad0s2: end of device

3595945+1043 records in

28097+1 records out

1841398272 bytes transferred in 458.704228 secs (4014348 bytes/sec)

After upgrade fdisk/bsdlabel

/sbin/fsck_ufs -y /dev/ad0s2a

fsck_ufs: /dev/ad0s2a: can't read disk label

/dev/ad0s2a

CANNOT READ BLK: 3836192

CONTINUE? yes

THE FOLLOWING DISK SECTORS COULD NOT BE READ: 3836192, 3836193, 3836194,

ioctl (GCINFO): Inappropriate ioctl for device

File list:

Warning: file_get_contents(/conf/file_upgrade_log.txt): failed to open stream: No such file or directory in

/usr/local/www/diag_nanobsd.php on line 236

Misc log:

Warning: file_get_contents(/conf/firmware_update_misc.log): failed to open stream: No such file or directory in

/usr/local/www/diag_nanobsd.php on line 238

fdisk/bsdlabel log:

Before upgrade fdisk/bsdlabel

Working on device /dev/ad0 *

parameters extracted from in-core disklabel are:

cylinders=7399 heads=16 sectors/track=63 (1008 blks/cyl)

Figures below won't work with BIOS for partitions not in cyl 1

parameters to be used for BIOS calculations are:

cylinders=7399 heads=16 sectors/track=63 (1008 blks/cyl)

Media sector size is 512

Warning: BIOS sector numbering starts with sector 1

Information from DOS bootblock is:

The data for partition 1 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)

start 63, size 3861585 (1885 Meg), flag 80 (active)

beg: cyl 0/ head 1/ sector 1;

end: cyl 758/ head 15/ sector 63

The data for partition 2 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)

start 3861711, size 3861585 (1885 Meg), flag 0

beg: cyl 759/ head 1/ sector 1;

end: cyl 493/ head 15/ sector 63

The data for partition 3 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)
start 7723296, size 102816 (50 Meg), flag 0

beg: cyl 494/ head 0/ sector 1;

end: cyl 595/ head 15/ sector 63

The data for partition 4 is:

<UNUSED>

1. /dev/ad0s1:

type: unknown

disk: amnesiac

label:

flags:

bytes/sector: 512

sectors/track: 63

tracks/cylinder: 16

sectors/cylinder: 1008

cylinders: 3830

sectors/unit: 3861585

rpm: 3600

interleave: 1

trackskew: 0

cylinderskew: 0

headswitch: 0        # milliseconds

track-to-track seek: 0    # milliseconds

drivedata: 0

8 partitions:

1. size   offset    fstype   [fsize bsize bps/cpg]

a:  3861569       16    unused        0     0

c:  3861585        0    unused        0     0         # "raw" part, don't edit

2. /dev/ad0s2:

type: unknown

disk: amnesiac

label:

flags:

bytes/sector: 512

sectors/track: 63

tracks/cylinder: 16

sectors/cylinder: 1008

cylinders: 3830

sectors/unit: 3861585

rpm: 3600

interleave: 1

trackskew: 0

cylinderskew: 0

headswitch: 0        # milliseconds

track-to-track seek: 0    # milliseconds

drivedata: 0

8 partitions:

1. size   offset    fstype   [fsize bsize bps/cpg]

a:  3861569       16    unused        0     0

c:  3861585        0    unused        0     0         # "raw" part, don't edit

---------------------------------------------------------------

Working on device /dev/ad0 *

parameters extracted from in-core disklabel are:

cylinders=7399 heads=16 sectors/track=63 (1008 blks/cyl)

Figures below won't work with BIOS for partitions not in cyl 1

parameters to be used for BIOS calculations are:

cylinders=7399 heads=16 sectors/track=63 (1008 blks/cyl)

Media sector size is 512

Warning: BIOS sector numbering starts with sector 1

Information from DOS bootblock is:
The data for partition 1 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)

start 63, size 3861585 (1885 Meg), flag 80 (active)

beg: cyl 0/ head 1/ sector 1;

end: cyl 758/ head 15/ sector 63

The data for partition 2 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)

start 3861711, size 3861585 (1885 Meg), flag 0

beg: cyl 759/ head 1/ sector 1;

end: cyl 493/ head 15/ sector 63

The data for partition 3 is:

sysid 165 (0xa5),(FreeBSD/NetBSD/386BSD)

start 7723296, size 102816 (50 Meg), flag 0

beg: cyl 494/ head 0/ sector 1;

end: cyl 595/ head 15/ sector 63

The data for partition 4 is:

<UNUSED>

1. /dev/ad0s1:

type: unknown

disk: amnesiac

label:

flags:

bytes/sector: 512

sectors/track: 63

tracks/cylinder: 16

sectors/cylinder: 1008

cylinders: 3830

sectors/unit: 3861585

rpm: 3600

interleave: 1

trackskew: 0

cylinderskew: 0

headswitch: 0        # milliseconds

track-to-track seek: 0    # milliseconds

drivedata: 0

8 partitions:

1. size   offset    fstype   [fsize bsize bps/cpg]

a:  3861569       16    unused        0     0

c:  3861585        0    unused        0     0         # "raw" part, don't edit

2. /dev/ad0s2:

type: unknown

disk: amnesiac

label:

flags:

bytes/sector: 512

sectors/track: 63

tracks/cylinder: 16

sectors/cylinder: 1008

cylinders: 3830

sectors/unit: 3861585

rpm: 3600

interleave: 1

trackskew: 0

cylinderskew: 0

headswitch: 0        # milliseconds

track-to-track seek: 0    # milliseconds

drivedata: 0

8 partitions:

1. size   offset    fstype   [fsize bsize bps/cpg]

a:  3861569       16    unused        0     0

c:  3861585        0    unused        0     0         # "raw" part, don't edit

---------------------------------------------------------------
History

#1 - 08/17/2011 10:35 AM - Jim Pingle

- Status changed from New to Rejected

Auto upgrade works fine, I just tested it on my alix again. You may have a problem specific to your system or CF. Please post in the forum.

If it is determined that an actual bug exists, then a ticket can be opened.
